package com.ruoyi.platform.domain;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.io.Serializable;

/**
 * (ModelDependency)实体类
 *
 * @author Xidaray
 * @since 2024-05-29 13:51:23
 */
@JsonNaming(PropertyNamingStrategy.SnakeCaseStrategy.class)
public class ModelDependency implements Serializable {
    private static final long serialVersionUID = -86753423714028539L;
/**
     * 主键
     */
    private Integer id;
/**
     * 当前模型id
     */
    private Integer currentModelId;
    /**
     * 实验实例id
     */
    private Integer expInsId;

    /**
     * 父模型
     */
    private String parentModels;
/**
     * 引用项目
     */
    private String refItem;
/**
     * 训练任务
     */
    private String trainTask;
/**
     * 训练数据集
     */
    private String trainDataset;
    /**
     * 训练参数
     */
    private String trainParams;
    /**
     * 训练镜像
     */
    private String trainImage;
/**
     * 测试数据集
     */
    private String testDataset;
    /**
     * 依赖项目
     */
    private String projectDependency;

    /**
     * 版本
     */
    private String version;


    /**
     * 创建者
     */
    private String createBy;
/**
     * 创建时间
     */
    private Date createTime;
/**
     * 更新者
     */
    private String updateBy;
/**
     * 更新时间
     */
    private Date updateTime;
/**
     * 状态，0失效1生效
     */
    private Integer state;

    private Long workflowId;
    private Models models;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCurrentModelId() {
        return currentModelId;
    }

    public void setCurrentModelId(Integer currentModelId) {
        this.currentModelId = currentModelId;
    }

    public Integer getExpInsId() {
        return expInsId;
    }

    public void setExpInsId(Integer expInsId) {
        this.expInsId = expInsId;
    }

    public String getParentModels() {
        return parentModels;
    }

    public void setParentModels(String parentModels) {
        this.parentModels = parentModels;
    }

    public String getRefItem() {
        return refItem;
    }

    public void setRefItem(String refItem) {
        this.refItem = refItem;
    }

    public String getTrainTask() {
        return trainTask;
    }

    public void setTrainTask(String trainTask) {
        this.trainTask = trainTask;
    }

    public String getTrainDataset() {
        return trainDataset;
    }

    public void setTrainDataset(String trainDataset) {
        this.trainDataset = trainDataset;
    }

    public String getTrainParams() {
        return trainParams;
    }

    public void setTrainParams(String trainParams) {
        this.trainParams = trainParams;
    }

    public String getTrainImage() {
        return trainImage;
    }

    public void setTrainImage(String trainImage) {
        this.trainImage = trainImage;
    }

    public String getTestDataset() {
        return testDataset;
    }

    public void setTestDataset(String testDataset) {
        this.testDataset = testDataset;
    }

    public String getProjectDependency() {
        return projectDependency;
    }

    public void setProjectDependency(String projectDependency) {
        this.projectDependency = projectDependency;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public Long getWorkflowId() {
        return workflowId;
    }

    public void setWorkflowId(Long workflowId) {
        this.workflowId = workflowId;
    }

    public Models getModels() {
        return models;
    }

    public void setModels(Models models) {
        this.models = models;
    }
}

